<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Cars</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <div class="row">
        <div class="col-md-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title">Car</h4>
                    </p>
                    <div class="d-flex justify-content-between text-muted border-bottom border-top py-3 mt-3">
                        <div class="col-md-12 text-right">
                            <a th:href="@{/masters/car/list}" class="btn btn-info"><i class="fa fa-arrow-circle-left"></i> Back</a>
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-md-12">
                            <form th:action="@{/masters/car/new}" th:object="${car}"  method="post" enctype="multipart/form-data">
                                <div class="form-group">
                                    <label>Department</label>
                                    <select name="idDapartemen" th:field="*{idDapartemen}" class="form-control" id="">
                                        <option value="" selected disabled>-- select one --</option>
                                        <option th:each="data, row:${departemen}"
                                                th:value="${data.id}"
                                                th:text="${data.namaDepartemen}"></option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>Category Car</label>
                                    <select name="jenis" class="form-control" th:field="*{jenis}">
                                        <option value="" selected disabled>- Pilih Salah Satu --</option>
                                        <option value="Sport Utility Vehicle (SUV)">Sport Utility Vehicle (SUV)</option>
                                        <option value="Multi Purpose Vehicle (MPV)">Multi Purpose Vehicle (MPV)</option>
                                        <option value="Pick-Up">Pick-Up</option>
                                        <option value="Mini Bus">Mini Bus</option>
                                        <option value="Sedan">Sedan</option>
                                        <option value="Lainnya">Lainnya</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>Merek Mobil</label>
                                    <input type="text" class="form-control" th:field="*{merek}" required name="merek">
                                </div>
                                <div class="form-group">
                                    <label>Warna Mobil</label>
                                    <input type="text" class="form-control" th:field="*{warna}" name="warna">
                                </div>
                                <div class="form-group">
                                    <label>Plat Mobil</label>
                                    <input type="text" class="form-control" th:field="*{nomorPolisi}" name="nomorPolisi">
                                </div>
                                <div class="form-group">
                                    <label>Pajak Mobil</label>
                                    <select name="bulanPajak" th:field="*{bulanPajak}" class="form-control">
                                        <option value="" selected disabled>Select One</option>
                                        <option value="Januari">Januari</option>
                                        <option value="Februari">Februari</option>
                                        <option value="Maret">Maret</option>
                                        <option value="April">April</option>
                                        <option value="Mei">Mei</option>
                                        <option value="Juni">Juni</option>
                                        <option value="Juli">Juli</option>
                                        <option value="Agustus">Agustus</option>
                                        <option value="September">September</option>
                                        <option value="Oktober">Oktober</option>
                                        <option value="November">November</option>
                                        <option value="Desember">Desember</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label>Tahun</label>
                                    <input type="text" class="form-control" th:field="*{tahun}" name="tahun">
                                </div>
                                <div class="form-group">
                                    <label>File Photo Car</label>
                                    <input type="file" class="form-control" required name="image" accept="image/png, image/jpeg">
                                </div>
                                <div class="form-group">
                                    <label>Supir</label>
                                    <input type="text" class="form-control" name="supir" th:field="*{supir}">
                                </div>
                                <div class="form-group">
                                    <label>Deskripsi Peminjaman Mobil</label>
                                    <input type="text" class="form-control" th:field="*{keterangan}" name="keterangan">
                                </div>
                                <div class="form-group">
                                    <label>Tarif Jabodetabek</label>
                                    <input type="number" class="form-control" name="tarif" th:field="*{tarif}">
                                </div>
                                <div class="form-group">
                                    <label>Tarif Luar Jabodetabek</label>
                                    <input type="number" class="form-control" name="tarifLuar" th:field="*{tarifLuar}">
                                </div>
                                <input type="hidden" name="id" th:field="*{id}">
                                <div class="form-group">
                                    <button class="btn btn-primary">Save</button>
                                    <a th:href="@{/masters/car}" class="btn btn-danger">Cancel</a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
